コンテンツへスキップ

Kotoba Speech-to-Text

統合

モデルID kotoba-technologies/kotoba-stt/v1/speech-to-text
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-stt/v1/speech-to-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "language": "ja"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.001 1 APIクレジット · ≈ ₽0.11 実行前にファイルを計測します このページで実行

APIキーを取得
Kotoba Technologies 音声認識 #commercial-use#speech-to-text#japanese#multilingual

最大 2 分のクリップに対応し、日本語向けに調整された、単語タイムスタンプとキーワードヒント付き音声認識

Kotoba Technologies · テキスト

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 audio_url
ファイルをドロップ、または

2分以内の音声。

language •必須

音声の話者が使用する言語。

詳細設定 with_timestamps · diarization · kana · keywords

文字起こしで優先する綴り。名前や製品用語などを指定します。最大1000語までで、各語は64文字以内です。

POST /run/kotoba-technologies/kotoba-stt/v1/speech-to-text?wait=20 見積もり → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-stt/v1/speech-to-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "language": "ja"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kotoba Speech-to-Textについて

`audio_url` の最大 2 分の音声クリップを文字起こしします。`language` は ja、en、ko、zh、es、zh-hk、zh-tw または auto に設定できます。任意の `with_timestamps` で単語ごとの開始・終了時刻を返し、`diarization` で話者を識別し、`keywords` では表記に影響を与える用語を最大 1000 件指定できます。`kana` を指定すると、日本語の名前をカタカナで表記します。出力にはテキスト、検出された言語、音声の長さが含まれます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
audio_url必須 audio
型url · audio
2分以内の音声。
language必須
型enum
jaenkozheszh-hkzh-twauto
音声の話者が使用する言語。
with_timestamps任意
型boolean
デフォルトfalse
`words` に出力される単語ごとのタイミング。各単語の開始時刻と終了時刻を含みます。
diarization任意
型boolean
デフォルトfalse
単語単位の話者属性。話者トークンに対応するモデルでのみ利用できます。各単語に `speaker_id` が付与されますが、`with_timestamps` も有効にしない限り時間はnullのままです。
keywords任意
型string[]
≤ 1,000項目
文字起こしで優先する綴り。名前や製品用語などを指定します。最大1000語までで、各語は64文字以内です。
kana任意
型boolean
デフォルトfalse
日本語における人名・地名のカタカナ表記。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-stt/v1/speech-to-text",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "language": "ja"
  },
  "output": {
    "audio_duration_secs": 1.0,
    "language_code": "string",
    "language_probability": 1.0,
    "text": "string",
    "words": [
      {
        "end": 1.0,
        "speaker_id": "string",
        "start": 1.0,
        "text": "string",
        "type": "word"
      }
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio_duration_secs
number | null
language_code
string
language_probability
number
text
string
words
array of object {end, speaker_id, start, text, type}

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kotoba-technologies/kotoba-stt/v1/speech-to-text.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt